Package org.eclipse.birt.report.engine.api.script.element

# Interface IScriptAPIFactory

All Known Implementing Classes:
  `ScriptAPIFactory`

@Deprecated public interface IScriptAPIFactory
Deprecated.
Interface to create some structure instances.

## Method Summary

Modifier and Type
Method
Description
`IDataBinding`
`createDataBinding()`
Deprecated.
Create `IDataBinding`
`IFilterCondition`
`createFilterCondition()`
Deprecated.
Create `IFilterCondition`
`IHideRule`
`createHideRule()`
Deprecated.
Create `IHideRule` instance
`IHighlightRule`
`createHighLightRule()`
Deprecated.
Create `IHighLightRule`
`ISortCondition`
`createSortCondition()`
Deprecated.
Create `ISortCondition`

## Method Details

### createHideRule

IHideRule createHideRule()
Deprecated.
Create `IHideRule` instance

Returns:
  IHideRule

### createFilterCondition

IFilterCondition createFilterCondition()
Deprecated.
Create `IFilterCondition`

Returns:
  instance

### createDataBinding

IDataBinding createDataBinding()
Deprecated.
Create `IDataBinding`

Returns:
  instance

### createHighLightRule

IHighlightRule createHighLightRule()
Deprecated.
Create `IHighLightRule`

Returns:
  instance

### createSortCondition

ISortCondition createSortCondition()
Deprecated.
Create `ISortCondition`

Returns:
  instance